aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/commit
diff options
context:
space:
mode:
authorWerner Koch <[email protected]>1998-11-27 11:42:49 +0000
committerWerner Koch <[email protected]>1998-11-27 11:42:49 +0000
commita7d13c0d80dafb2530531defa9ba993a92148f3c (patch)
treeb71a9f392b69fe05ee033b3d12628d49c4149125 /scripts/commit
parent*** empty log message *** (diff)
downloadgnupg-a7d13c0d80dafb2530531defa9ba993a92148f3c.tar.gz
gnupg-a7d13c0d80dafb2530531defa9ba993a92148f3c.zip
See ChangeLog: Fri Nov 27 12:39:29 CET 1998 Werner Koch
Diffstat (limited to '')
-rwxr-xr-xscripts/commit28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/commit b/scripts/commit
new file mode 100755
index 000000000..18e540078
--- /dev/null
+++ b/scripts/commit
@@ -0,0 +1,28 @@
+#!/bin/bash
+# need a Posix shell, so we simply use bash
+
+set -e
+
+uid=`id -u`
+date=`date`
+name=$(awk -F: "\$3==$uid { print \$5 }" /etc/passwd )
+addr="<`id -un`@`hostname -d`>"
+
+for i in `find . -name Changes -print`; do
+ dir=`dirname $i`
+ if [ -s $dir/Changes ]; then
+ lines=`wc -l <$dir/Changes`
+ echo "$date $name $addr" >$dir/ChangeLog.new
+ echo >>$dir/ChangeLog.new
+ cat $dir/Changes >>$dir/ChangeLog.new
+ echo >>$dir/ChangeLog.new
+ [ -f $dir/ChangeLog ] && cat $dir/ChangeLog >>$dir/ChangeLog.new
+ echo -n > $dir/Changes
+ [ -f $dir/ChangeLog ] && rm $dir/ChangeLog
+ mv $dir/ChangeLog.new $dir/ChangeLog
+ echo "$lines new lines in $dir/ChangeLog"
+ fi
+done
+
+cvs commit -m "See ChangeLog: $date $name" $*
+